import Global from '../../_global.mdx';

# spo sitedesign rights grant

Grants access to a site design for one or more principals

## Usage

```sh
m365 spo sitedesign rights grant [options]
```

## Options

```md definition-list
`-i, --siteDesignId <siteDesignId>`
: The ID of the site design to grant rights on

`-p, --principals <principals>`
: Comma-separated list of principals to grant view rights. Principals can be users or mail-enabled security groups in the form of `alias` or `alias@<domain name>.com`

`-r, --rights <rights>`
: Rights to grant to principals. Available values `View`
```

<Global />

## Examples

Grant user with alias _PattiF_ view permission to the specified site design

```sh
m365 spo sitedesign rights grant --siteDesignId 9b142c22-037f-4a7f-9017-e9d8c0e34b98 --principals PattiF --rights View
```

Grant users with aliases _PattiF_ and _AdeleV_ view permission to the specified site design

```sh
m365 spo sitedesign rights grant --siteDesignId 9b142c22-037f-4a7f-9017-e9d8c0e34b98 --principals "PattiF,AdeleV" --rights View
```

Grant user by email view permission to the specified site design

```sh
m365 spo sitedesign rights grant --siteDesignId 9b142c22-037f-4a7f-9017-e9d8c0e34b98 --principals PattiF@contoso.com --rights View
```

## Response

The command won't return a response on success.

## More information

- SharePoint site design and site script overview: [https://learn.microsoft.com/sharepoint/dev/declarative-customization/site-design-overview](https://learn.microsoft.com/sharepoint/dev/declarative-customization/site-design-overview)
